#include <stdio.h>
#include <stdlib.h>

int main()
{
    int x1,y1,x2,y2, broj;
    scanf ("%d%d%d%d",&x1,&y1,&x2,&y2);
    if ((x1==x2) || (y1==y2))
        broj = 2;
    else {
        if (abs(x1-x2)==(abs(y1-y2)))
            broj = 1;
        else
            broj = 0;
    }
    printf ("%d",broj);
    return 0;
}